#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,x,r,l;
    cin>>m>>n;
    r=n;
    l=n;
    for(int i=0;i<m;i++){
        cin>>x;
        if(x-n>0)
            r=max(x,r);
        else
            l=min(x,l);
    }
    cout << min(n-l,r-n)+n-l+r-n << endl;
    return 0;
}